# percentToQuality | xrpl
Documentation for xrpl

# Function percentToQuality

- percentToQuality(percent: string): number

- Converts a string percent to the "billionths" format for use with QualityIn/ QualityOut

  ### Returns

  A number in the "billionths" format.

  ### Throws

  ValidationError when the percent parameter is not convertible to "billionths" format.

  #### Parameters

  - ##### percent: string

    A string percent (i.e. ".034%").

  #### Returns number

  - Defined in packages/xrpl/src/utils/quality.ts:167

Generated using TypeDoc